Skip to main content
`Ctrl`+`K`

# numpy.setbufsize

numpy.setbufsize(size)

  Set the size of the buffer used in ufuncs.

  Changed in version 2.0: The scope of setting the buffer is tied to the `numpy.errstate` context. Exiting a `with errstate():` will also restore the bufsize.

  Parameters:
    size int

      Size of buffer.

  Returns:
    bufsize int

      Previous size of ufunc buffer in bytes.

  Examples

  When exiting a `numpy.errstate` context manager the bufsize is restored:

      >>> import numpy as np
      >>> with np.errstate():
      ...     np.setbufsize(4096)
      ...     print(np.getbufsize())
      ...
      8192
      4096
      >>> np.getbufsize()
      8192